using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;
using System.Web.Services;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, System.EventArgs e)
    {
      
    }

    [WebMethod]
    public static List<Parent> GetData()
    {
        List<Parent> data = new List<Parent>();

        Child c = new Child();
        c.Name = "Name";
        Parent p = new Parent();
        p.ID = 1;
        p.MyChild = c;
        data.Add(p);

        return data;
    }
}

public class Parent
{
    private int id;
    public int ID 
    {
        get
        {
            return id;
        }
        set
        {
            id = value;
        }
    }

    private Child child;
    public Child MyChild
    {
        get
        {
            return child;
        }
        set
        {
            child = value;
        }
    }
}

public class Child
{
    private string name;
    public string Name
    {
        get
        {
            return name;
        }
        set
        {
            name = value;
        }
    }
}